=== debian/changelog ===
r8168 (8.049.02-1ubuntu1) jammy; urgency=medium

  * linux-5.17.patch: Fix build with kernel 5.17 and above.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 25 Mar 2022 11:24:47 +0200

r8168 (8.049.02-1) unstable; urgency=medium

  * New upstream release 8.049.02 (2021-06-30).  (Closes: #992284)
  * Refresh patches.
  * Bump Standards-Version to 4.6.0 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Mon, 27 Sep 2021 21:22:35 +0200
