=== debian/control ===
Source: r8168
Section: non-free/kernel
Priority: optional
Maintainer: Andreas Beckmann <anbe@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-dkms,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://www.realtek.com/en/component/zoo/category/network-interface-controllers-10-100-1000m-gigabit-ethernet-pci-express-software
Vcs-Browser: https://salsa.debian.org/debian/r8168
Vcs-Git: https://salsa.debian.org/debian/r8168.git
XS-Autobuild: yes
Testsuite: autopkgtest-pkg-dkms

Package: r8168-dkms
Architecture: all
Depends: ${misc:Depends}
Description: dkms source for the r8168 network driver
 r8168 is the Linux device driver released by RealTek for their network
 controllers with PCI-Express interface:
  * 10/100/1000M Gigabit Ethernet: RTL8111B, RTL8111C, RTL8111D, RTL8111E,
    RTL8111F, RTL8111G(S), RTL8111H(S), RTL8118(A)(S), RTL8119i, RTL8111L,
    RTL8168B, RTL8168E, RTL8168H, RTL8111DP, RTL8111EP, RTL8111FP, RTL8411,
    RTL8411B
 .
 This driver should only be used for devices not yet supported by the
 in-kernel driver r8169. Please see the README.Debian for instructions how
 to report bugs against r8169 that made it necessary to use r8168-dkms.
 .
 Installation of the r8168-dkms package will disable the in-kernel r8169
 module. To re-enable r8169, the r8168-dkms package must be purged.
 .
 This package provides the dkms source code for the r8168 kernel modules.
 Kernel source or headers are required to compile these modules.
