## r8168 8.050.03

=== debian/changelog ===
r8168 (8.050.03-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 03 Jul 2022 16:50:56 +0200

r8168 (8.050.03-1) unstable; urgency=medium

  * New upstream release 8.050.03 (2022-06-07).
  * Add patch for Linux 5.18 from Arch Linux.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 18 Jun 2022 09:46:30 +0200

r8168 (8.050.02-1) unstable; urgency=medium

  * New upstream release 8.050.02 (2022-05-18).

 -- Andreas Beckmann <anbe@debian.org>  Thu, 02 Jun 2022 04:45:45 +0200

r8168 (8.050.00-1) unstable; urgency=medium

  * New upstream release 8.050.00 (2022-04-28).  (Closes: #1010177)
  * Refresh patches.
  * Do not use deprecated dkms feature REMAKE_INITRD.
  * Bump Standards-Version to 4.6.1 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Thu, 12 May 2022 03:48:24 +0200
