=== debian/changelog ===
r8168 (8.051.02-3) unstable; urgency=medium

  * Add patch for Linux 6.5.
  * Bump Standards-Version to 4.6.2 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Sun, 06 Aug 2023 13:38:05 +0200

r8168 (8.051.02-2) unstable; urgency=medium

  * Add patch for Linux 6.1.
  * Restrict the supported kernel versions to 3.14 or later due to usage of
    pci_enable_msix_range().

 -- Andreas Beckmann <anbe@debian.org>  Mon, 05 Dec 2022 13:36:19 +0100

r8168 (8.051.02-1) unstable; urgency=medium

  * New upstream release 8.051.02 (2022-11-15).

 -- Andreas Beckmann <anbe@debian.org>  Tue, 29 Nov 2022 14:28:05 +0100

r8168 (8.050.03-2) unstable; urgency=medium

  * Set BUILD_EXCLUSIVE_CONFIG="CONFIG_PCI".
  * Add patch for Linux 5.19 from Ubuntu.  (LP: #1982000)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 05 Aug 2022 18:40:48 +0200
