=== debian/changelog ===
r8168 (8.052.01-1ubuntu1) noble; urgency=medium

  * Linux 6.8 FTBFS fix 

 -- Paolo Pisati <paolo.pisati@canonical.com>  Wed, 27 Mar 2024 14:33:59 +0000

r8168 (8.052.01-1) unstable; urgency=medium

  * New upstream release 8.052.01 (2023-09-28).

 -- Andreas Beckmann <anbe@debian.org>  Thu, 28 Sep 2023 15:52:48 +0200

r8168 (8.051.02-4) unstable; urgency=medium

  * The Linux 6.5 net/gso.h changes have been backported to 6.4.10.
    (Closes: #1050287, #1050771, #1050863)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 06 Sep 2023 21:15:50 +0200
