=== debian/changelog ===
r8168 (8.053.00-2parrot1) lory-updates; urgency=medium

  * Import new Debian release

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 21 Jul 2024 01:46:51 +0200

r8168 (8.053.00-2) unstable; urgency=medium

  * Add patch for Linux 6.9.
  * Bump Standards-Version to 4.7.0 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Fri, 21 Jun 2024 01:33:53 +0200

r8168 (8.053.00-1) unstable; urgency=medium

  * New upstream release 8.053.00 (2024-04-18).
  * Mention the last build-tested Linux version in the description.
  * Update upstream URLs.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 28 Apr 2024 15:36:25 +0200

r8168 (8.052.01-1parrot1) lory-updates; urgency=medium

  * Import new Debian release.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 13 Nov 2023 13:46:29 +0100
