=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  debhelper-compat (= 13),
  dh-sequence-dkms,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
-Homepage: https://www.realtek.com/en/component/zoo/category/network-interface-controllers-10-100-1000m-gigabit-ethernet-pci-express-software
+Standards-Version: 4.7.0
+Homepage: https://www.realtek.com/Download/List?cate_id=584
 Vcs-Browser: https://salsa.debian.org/debian/r8168
 Vcs-Git: https://salsa.debian.org/debian/r8168.git
 XS-Autobuild: yes
@@ -20,8 +20,8 @@
  r8168 is the Linux device driver released by RealTek for their network
  controllers with PCI-Express interface:
   * 10/100/1000M Gigabit Ethernet: RTL8111B, RTL8111C, RTL8111D, RTL8111E,
-    RTL8111F, RTL8111G(S), RTL8111H(S), RTL8118(A)(S), RTL8119i, RTL8111L,
-    RTL8111K, RTL8168B, RTL8168E, RTL8168H, RTL8111DP, RTL8111EP, RTL8111FP,
+    RTL8111F, RTL8111G, RTL8111H, RTL8118A, RTL8119i, RTL8111L, RTL8111K,
+    RTL8168B, RTL8168E, RTL8168H, RTL8111DP, RTL8111EP(P), RTL8111FP,
     RTL8411, RTL8411B
  .
  This driver should only be used for devices not yet supported by the
@@ -33,3 +33,5 @@
  .
  This package provides the dkms source code for the r8168 kernel modules.
  Kernel source or headers are required to compile these modules.
+ .
+ Building the kernel module has been tested up to Linux ${r8168:tested:Linux}.
