## r8168 8.054.00

=== debian/changelog ===
r8168 (8.054.00-1) unstable; urgency=medium

  * New upstream release 8.054.00 (2024-10-17).

 -- Andreas Beckmann <anbe@debian.org>  Mon, 21 Oct 2024 03:51:38 +0200
