=== src/Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 #  US6,570,884, US6,115,776, and US6,327,625.
 ################################################################################
 
-CONFIG_SOC_LAN = n
+CONFIG_SOC_LAN = y
 ENABLE_FIBER_SUPPORT = n
 ENABLE_REALWOW_SUPPORT = n
 ENABLE_DASH_SUPPORT = n
@@ -48,6 +48,7 @@
 ENABLE_RSS_SUPPORT = n
 ENABLE_LIB_SUPPORT = n
 DISABLE_WOL_SUPPORT = n
+ENABLE_GIGA_LITE = y
 
 ifneq ($(KERNELRELEASE),)
 	obj-m := r8168.o
@@ -116,6 +117,9 @@
 	endif
 	ifeq ($(DISABLE_WOL_SUPPORT), y)
 		EXTRA_CFLAGS += -DDISABLE_WOL_SUPPORT
+	endif
+	ifeq ($(ENABLE_GIGA_LITE), y)
+		EXTRA_CFLAGS += -DENABLE_GIGA_LITE
 	endif
 else
 	BASEDIR := /lib/modules/$(shell uname -r)
