=== debian/changelog ===
r8168 (8.055.00-1) unstable; urgency=medium

  * New upstream release 8.055.00 (2025-02-03).

 -- Andreas Beckmann <anbe@debian.org>  Fri, 14 Feb 2025 15:06:05 +0100
